summaryrefslogtreecommitdiffstats
path: root/perl/perl-IPC-Run3
diff options
context:
space:
mode:
Diffstat (limited to 'perl/perl-IPC-Run3')
-rw-r--r--perl/perl-IPC-Run3/README5
-rw-r--r--perl/perl-IPC-Run3/perl-IPC-Run3.SlackBuild66
-rw-r--r--perl/perl-IPC-Run3/perl-IPC-Run3.info10
-rw-r--r--perl/perl-IPC-Run3/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/perl/perl-IPC-Run3/README b/perl/perl-IPC-Run3/README
new file mode 100644
index 0000000000..99a8fc2092
--- /dev/null
+++ b/perl/perl-IPC-Run3/README
@@ -0,0 +1,5 @@
+IPC-Run3 module allows you to run a subprocess and redirect stdin,
+stdout, and/or stderr to files and perl data structures. It aims to
+satisfy 99% of the need for using system, qx, and open3 with a
+simple, extremely Perlish API and none of the bloat and rarely used
+features of IPC::Run.
diff --git a/perl/perl-IPC-Run3/perl-IPC-Run3.SlackBuild b/perl/perl-IPC-Run3/perl-IPC-Run3.SlackBuild
new file mode 100644
index 0000000000..0bb2368e0c
--- /dev/null
+++ b/perl/perl-IPC-Run3/perl-IPC-Run3.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for IPC-Run3
+
+# Written by Mikko Värri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=perl-IPC-Run3
+VERSION=${VERSION:-0.044}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-IPC-Run3/perl-IPC-Run3.info b/perl/perl-IPC-Run3/perl-IPC-Run3.info
new file mode 100644
index 0000000000..057a7a71b6
--- /dev/null
+++ b/perl/perl-IPC-Run3/perl-IPC-Run3.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-IPC-Run3"
+VERSION="0.044"
+HOMEPAGE="http://search.cpan.org/~rjbs/IPC-Run3/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/IPC-Run3-0.044.tar.gz"
+MD5SUM="7df73a65d9efc7b9e7eb04075ff1fd8f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/perl/perl-IPC-Run3/slack-desc b/perl/perl-IPC-Run3/slack-desc
new file mode 100644
index 0000000000..d51fe541d5
--- /dev/null
+++ b/perl/perl-IPC-Run3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-IPC-Run3: perl-IPC-Run3 (run a subprocess with input/ouput redirection)
+perl-IPC-Run3:
+perl-IPC-Run3: IPC-Run3 module allows you to run a subprocess and redirect stdin,
+perl-IPC-Run3: stdout, and/or stderr to files and perl data structures. It aims to
+perl-IPC-Run3: satisfy 99% of the need for using system, qx, and open3 with a
+perl-IPC-Run3: simple, extremely Perlish API and none of the bloat and rarely used
+perl-IPC-Run3: features of IPC::Run.
+perl-IPC-Run3:
+perl-IPC-Run3:
+perl-IPC-Run3:
+perl-IPC-Run3: